#undef NDEBUG
#ifdef ssu1
#define _GLIBCXX_DEBUG
#endif

#include <algorithm>
#include <functional>
#include <numeric>
#include <iostream>
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <ctime>
#include <cstring>
#include <cassert>
#include <vector>
#include <list>
#include <map>
#include <set>
#include <deque>
#include <queue>
#include <bitset>
#include <sstream>

using namespace std;

#define fore(i, l, r) for(int i = int(l); i < int(r); ++i)
#define ford(i, n) for(int i = int(n - 1); i >= 0; --i)
#define forn(i, n) fore(i, 0, n)
#define fori(i, l, r) fore(i, l, (r) + 1)
#define sz(v) int((v).size())
#define all(v) (v).begin(), (v).end()
#define pb push_back
#define mp make_pair
#define X first
#define Y second

template<typename T> inline T abs(T a){ return ((a < 0) ? -a : a); }
template<typename T> inline T sqr(T a){ return a * a; }

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

const int N = 1001000;

int n, k;
int a[N], sum[N];

int getSum(int lf, int rg) {
    return sum[rg] - ((lf == 0) ? 0 : sum[lf - 1]);
}

int main() {
    #ifdef ssu1
    assert(freopen("input.txt", "rt", stdin));
    #endif

    cin >> n >> k;

    forn(i, n) {
        cin >> a[i];
        sum[i] = a[i];
        if (i > 0)
            sum[i] += sum[i - 1];
    }

    if (n < 2*k) {
        cout << getSum(0, n - 1) << endl;
        return 0;
    }

    int ans = -1;

    for (int lf1 = 0; lf1 + k < n; ++lf1) 
        for (int lf2 = lf1 + k; lf2 < n; ++lf2) 
            ans = max(ans, getSum(lf1, lf1 + k - 1) + getSum(lf2, min(lf2 + k - 1, n - 1)));

    cout << ans << endl;

    return 0;
}