#include <algorithm>
#include <functional>
#include <numeric>
#include <iostream>
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <ctime>
#include <cstring>
#include <cassert>
#include <vector>
#include <list>
#include <map>
#include <set>
#include <deque>
#include <queue>
#include <bitset>
#include <sstream>

using namespace std;

#define forn(i, n) for(int i = 0; i < int(n); ++i)
#define for1(i, n) for(int i = 1; i <= int(n); ++i)
#define ford(i, n) for(int i = int(n) - 1; i >= 0; --i)
#define fore(i, l, r) for(int i = int(l); i < int(r); ++i)
#define sz(v) int((v).size())
#define all(v) (v).begin(), (v).end()
#define pb push_back
#define X first
#define Y second

typedef long long li;
typedef long double ld;
typedef pair<int, int> pt;

template<typename T> T abs(T a) { return a < 0 ? -a : a; }
template<typename T> T sqr(T a) { return a*a; }

const int INF = (int)1e9;
const ld EPS = 1e-9;
const ld PI = 3.1415926535897932384626433832795;

const int N = 200500;

int n, k;
int s[N], sum[N];

int getSum(int lf, int rg) {
    return sum[rg] - (lf == 0 ? 0 : sum[lf - 1]);
}

int z[2][N];

int solve(int was, int idx) {
    if (was >= 2 || idx == n)
        return 0;

    int& res = z[was][idx];
    if (res == -1) {
        res = solve(was, idx + 1);
        int lf = idx;
        int rg = min(n - 1, idx + k - 1);
        res = max(res, solve(was + 1, rg + 1) + getSum(lf, rg));
    }

    return res;
}

int main(){
    #ifdef ssu1
        freopen("input.txt", "rt", stdin);
        //freopen("output.txt", "wt", stdout);
    #endif

    cin >> n >> k;

    forn(i, n) {
        cin >> s[i];
        sum[i] = s[i];
        if (i > 0)
            sum[i] += sum[i - 1];
    }

    memset(z, -1, sizeof z);
    cout << solve(0, 0) << endl;

    return 0;
}
