#include <iostream>
#include <sstream>
#include <fstream>
#include <iomanip>
#include <string>
#include <cstdlib>
#include <cstdio>
#include <cstring>
#include <cmath>
#include <ctime>
#include <climits>
#include <cassert>
#include <vector>
#include <queue>
#include <stack>
#include <deque>
#include <set>
#include <map>
#include <bitset>
#include <utility>
#include <algorithm>

#define forn(i, n) for (int i = 0; i < int(n); i++)

using namespace std;

int main(int argc, char* argv[])
{
    int n, k;
    cin >> n >> k;

    vector<int> a(n);
    forn(i, n)
        cin >> a[i];

    vector<int> p(n + 1);
    forn(i, n)
        p[i + 1] = p[i] + a[i];

    int result = 0;
    for (int i = 1; i <= n; i++)
        if (i >= 2 * k)
            result = max(result, p[i] - p[i - 2 * k]);
        else
            result = max(result, p[i]);

    if (n > k * 2)
    {
        vector<int> l(n + 1), r(n + 2);
        
        for (int i = 1; i <= n; i++)
        {
            if (i - k < 0)
                l[i] = p[i];
            else
                l[i] = p[i] - p[i - k];
            l[i] = max(l[i], l[i - 1]);
        }
        
        for (int i = n; i >= 0; i--)
        {
            if (n - i < k)
                r[i] = p[n] - p[i - 1];
            else
                r[i] = p[i + k - 1] - p[i - 1];
            r[i] = max(r[i], r[i + 1]);
        }

        for (int i = 1; i <= n; i++)
            result = max(result, l[i - 1] + r[i + 1]);
    }

    cout << result << endl;

    return 0;
}
