import java.io.*;
import java.math.BigInteger;
import java.util.*;

import static java.lang.Math.*;

public class Solution implements Runnable {

	public static void main(String[] args) {
		Locale.setDefault(Locale.US);
		new Thread(new Solution()).start();
	}

	PrintWriter cout;

	BufferedReader cin;

	StringTokenizer stok;

	public void run() {
		try {
			cout = new PrintWriter(System.out);
			cin = new BufferedReader(new InputStreamReader(System.in));
			
			int n = nextInt(), k = nextInt(), ss = 0;
			int f[] = new int[n + 1];
			int s[] = new int[n];
			for (int i = 0; i < n; i++) {
				f[i] = nextInt();
				ss += f[i];
				if (i == k - 1)
					s[i] = ss;
			}
			if (k * 2 >= n) {
				cout.print(ss);
				cout.close();
				return;
			}
			int j = k;
			int cur = s[k - 1] + f[k] - f[0];
			int best = 0;
			while(j < n) {
				s[j] = max(s[j - 1], cur);
				best = max(cur + s[j - k], best);
				j++;
				cur += f[j] - f[j - k];
			}

			cout.print(best);
			cin.close();
			cout.close();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(234);
		}
	}

	
	
	
	private void solve() throws Exception {
		//cin = new BufferedReader(new FileReader("input.txt"));
		//cout = new PrintWriter(System.out);

		int a = 30, b = 33;
		boolean g = BigInteger.valueOf(a - 1).isProbablePrime(10);
		long res = 0;
		for(int i = a; i <= b; ++i) {
			boolean f = BigInteger.valueOf(i).isProbablePrime(10);
			if (f && g) {
				res = res + i;
			}
			g = f;
		}
		cout.println(res);
		
		//cout.close();
	}

	
	
	private long nextLong() throws Exception {
		return Long.parseLong(next());
	}

	private int nextInt() throws Exception {
		return Integer.parseInt(next());
	}

	private String next() throws Exception {
		while (stok == null || !stok.hasMoreTokens()) {
			stok = new StringTokenizer(cin.readLine());
		}
		return stok.nextToken();
	}

}