#define _CRT_SECURE_NO_DEPRECATE
#define _SECURE_SCL 0
#include <algorithm>
#include <bitset>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <deque>
#include <iostream>
#include <map>
#include <queue>
#include <set>
#include <sstream>
#include <string>
#include <vector>
using namespace std;

typedef long long int64;
//#define double long double
const int INF = (int)1E9;
const int64 INF64 = (int64)1E18;
const double EPS = 1E-9;
const double EPS_ANG = 1E-16;
const double PI = acos((double)0) * 2;

#define forn(i, n)  for (int i = 0; i < int(n); ++i)
#define ford(i, n)  for (int i=int(n) - 1; i >= 0; --i)
#define fore(i, l, r)  for (int i = int(l); i < int(r); ++i)
#define all(a)  a.begin(), a.end()
#define fs  first
#define sc  second
#define mp  make_pair
#define pb  push_back

const int MAXN = 300100;

int n, k, a[MAXN], s[MAXN], d[3][MAXN];

int sum(int l, int r) {
    int ans = s[r];
    if (l > 0) {
        ans -= s[l - 1];
    }
    return ans;
}

bool read() {
    if (!(cin >> n >> k))
        return false;
    forn(i, n) {
        cin >> a[i];
    }
    return true;
}


void solve() {
    forn(i, n) {
        s[i] = a[i];
        if (i > 0) {
            s[i] += s[i - 1];
        }
    }

    memset(d, 0, sizeof d);

    int ans = 0;
    forn(step, 2) {
        forn(i, n) {
            int cur = s[i];
            if (i >= k) {
                cur += d[step][i - k] - s[i - k];
            }
            d[step + 1][i] = max(d[step + 1][i], cur);
            ans = max(ans, cur);

            d[step][i + 1] = max(d[step][i + 1], d[step][i]);
        }
    }

    cout << ans << endl;
}


int main(int argc, char *argv[]) {
#ifdef SU2_PROJ
    freopen("input.txt", "rt", stdin);
    freopen("output.txt", "wt", stdout);
#endif

    while (read())
        solve();
}