#include <iostream>
#include <sstream>
#include <fstream>
#include <iomanip>
#include <string>
#include <cstdlib>
#include <cstdio>
#include <cstring>
#include <cmath>
#include <ctime>
#include <climits>
#include <cassert>
#include <vector>
#include <queue>
#include <stack>
#include <deque>
#include <set>
#include <map>
#include <bitset>
#include <utility>
#include <algorithm>

#define forn(i, n) for (int i = 0; i < int(n); i++)

using namespace std;

int main(int argc, char* argv[])
{
    int n, k;
    cin >> n >> k;

    vector<int> a(n);
    forn(i, n)
        cin >> a[i];

    vector<int> p(n + 1);
    forn(i, n)
        p[i + 1] = p[i] + a[i];

    int result = a[0];

    for (int i1 = 1; i1 <= n; i1++)
        for (int j1 = i1; j1 <= n; j1++)
            if (j1 - i1 + 1 <= k)
            {
                for (int i2 = j1 + 1; i2 <= n; i2++)
                    for (int j2 = i2; j2 <= n; j2++)
                        if (j2 - i2 + 1 <= k)
                            result = max(result, p[j1] - p[i1 - 1] + p[j2] - p[i2 - 1]);
            }

    cout << result << endl;

    return 0;
}
