#include<iostream>
#include<fstream>
#include<vector>
#include<cstdlib>
#include<string>
#include<cmath>
#define f first
#define s second
#define mp make_pair
using namespace std;

int n, m, p1, p2, k, optn, outn;
bool inpair[40];
vector<pair<int, int> > edge;


void DisregardWS(istream &in) {
	while(in.peek() == ' ')
		in.get();
}

void ReturnError() {
	cout << "0\n";
	exit(0);
}

int ReadInt(istream &in) {
	DisregardWS(in);
	int ret;
	
	if(!(in >> noskipws >> ret) )
		ReturnError();
	return ret;
}

double ReadDouble(istream &in) {
	DisregardWS(in);
	double ret;
	
	if(!(in >> noskipws >> ret) )
		ReturnError();
	return ret;
}

void ReadMask(istream &in, string from) {
	DisregardWS(in);
	
	char c = in.get();
	if(from.find(c) == string::npos)
		ReturnError();
}

void ReadEOF(istream &in, string disc) {
	char c = in.get();
	while(!in.eof() ){
		
		if(disc.find(c) == string::npos)
			ReturnError();
		c = in.get();
	}
}

int main(int argc, char ** args) {
	if(argc != 4) {
		cout << "Invalid no. of arguments. Usage:\n" << args[0] << " [input file] [correct solution] [solution to test]\n";
		return 0;
	}
	
	ifstream in(args[1]), cor(args[2]), out(args[3]);
	
	double inres, compres;
	
	out >> noskipws >> inres;
	ReadEOF(out, " \n");
	
	cor >> compres;
	
	if(abs(compres - inres) <= 0.001 )
		cout << "100\nOK\n";
	else
		cout << "0\nWrong Answer\n";
	
	return 0;
}



























